package cn.palmte.work.model;

import cn.palmte.work.model.SysRole;
import top.jfunc.common.db.bean.Page;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public interface AdminRepositoryCustom {

    List<String> getAuthoritiesName(String adminId);

    List<String> getAuthoritieUrls(String adminId);

    List<String> getRolesName(String adminId);

    /**
     * 根据用户ID查询用户信息
     * @return
     */
    Admin findAdminByUserName(String userName);


    SysRole getRole(String adminId);

    /**
     * 查询所有账号
     * @param searchInfo
     * @param pageSize
     * @param pageNum
     * @return
     */
    Page getAdminList(Map<String, String> searchInfo, int pageSize, int pageNum);

    /**
     * 根据用户ID查询用户信息
     * @param userId
     * @return
     */
    Admin findAdminById(int userId);

    List<SysPermission> getAuthoritieUrlsByParentPermission(String adminId, String permission);
}
